using BS.Shared;

namespace BeWo.Data.Entities
{
    public class BeWoFile : BeWoEntityBase
    {
        public static string PropertyName_Data = "Data";

        public static string PropertyName_Path = "Path";

        public static string PropertyName_Type = "Type";

        private byte[] _Data;
        
        private string _Path;

        private FileAttachmentType _Type;

        public BeWoFile()
        {
            this._Tid = TableID.FileAttachment;
        }

        public virtual byte[] Data
        {
            get
            {
                return this._Data;
            }

            set
            {
                if (this.AreDifferent(this._Data, value))
                {
                    this._Data = value;
                }
            }
        }

        public virtual string Path
        {
            get
            {
                return this._Path;
            }

            set
            {
                if (this.AreDifferent(this._Path, value))
                {
                    this._Path = value;
                }
            }
        }

        public virtual FileAttachmentType Type
        {
            get
            {
                return this._Type;
            }

            set
            {
                if (this.AreDifferent(this._Type, value))
                {
                    this._Type = value;
                }
            }
        }
    }
}